Index: tests/GuiChecks/RandomNumbers/Distribution/testsuite-set-random-number-distribution.at
===================================================================
--- tests/GuiChecks/RandomNumbers/Distribution/testsuite-set-random-number-distribution.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/RandomNumbers/Distribution/testsuite-set-random-number-distribution.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,50 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### 1. set the distribution
+
+AT_SETUP([Random numbers - set the distribution])
+AT_KEYWORDS([random numbers set-random-number-distribution random-number-distribution-parameters])
+
+AT_CHECK([../../molecuilder --dry-run -v 3 --set-random-number-distribution "uniform_int" --random-number-distribution-parameters "max=20;" --no-dry-run --store-session session-set-random-number-distribution.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-set-random-number-distribution.py >session-set-random-number-distribution_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-set-random-number-distribution_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Random numbers - set the distribution with Undo])
+AT_KEYWORDS([random numbers set-random-number-distribution random-number-distribution-parameters undo])
+
+AT_CHECK([../../molecuilder --dry-run -v 3 --set-random-number-distribution "uniform_int" --random-number-distribution-parameters "max=20;" --undo --no-dry-run --store-session session-set-random-number-distribution.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-set-random-number-distribution.py >session-set-random-number-distribution_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-set-random-number-distribution_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Random numbers - set the distribution with Redo])
+AT_KEYWORDS([random numbers set-random-number-distribution random-number-distribution-parameters redo])
+
+AT_CHECK([../../molecuilder --dry-run -v 3 --set-random-number-distribution "uniform_int" --random-number-distribution-parameters "max=20;" --undo --redo --no-dry-run --store-session session-set-random-number-distribution.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-set-random-number-distribution.py >session-set-random-number-distribution_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-set-random-number-distribution_new.py], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -v 3 --set-random-number-distribution "uniform_int" --random-number-distribution-parameters "max=20;" --undo --redo --no-dry-run --store-session session-set-random-number-distribution.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-set-random-number-distribution.py >session-set-random-number-distribution_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-set-random-number-distribution_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
Index: tests/GuiChecks/RandomNumbers/Engine/testsuite-set-random-number-engine.at
===================================================================
--- tests/GuiChecks/RandomNumbers/Engine/testsuite-set-random-number-engine.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/RandomNumbers/Engine/testsuite-set-random-number-engine.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,50 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### 1. set the engine
+
+AT_SETUP([Random numbers - set the engine])
+AT_KEYWORDS([random numbers set-random-number-engine random-number-engine-parameters])
+
+AT_CHECK([../../molecuilder --dry-run -v 3 --set-random-number-engine "lagged_fibonacci607" --random-number-engine-parameters "seed=2;" --no-dry-run --store-session session-set-random-number-engine.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-set-random-number-engine.py >session-set-random-number-engine_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-set-random-number-engine_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Random numbers - set the engine with Undo])
+AT_KEYWORDS([random numbers set-random-number-engine random-number-engine-parameters undo])
+
+AT_CHECK([../../molecuilder --dry-run -v 3 --set-random-number-engine "lagged_fibonacci607" --random-number-engine-parameters "seed=2;" --undo --no-dry-run --store-session session-set-random-number-engine.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-set-random-number-engine.py >session-set-random-number-engine_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-set-random-number-engine_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Random numbers - set the engine with Redo])
+AT_KEYWORDS([random numbers set-random-number-engine random-number-engine-parameters redo])
+
+AT_CHECK([../../molecuilder --dry-run -v 3 --set-random-number-engine "lagged_fibonacci607" --random-number-engine-parameters "seed=2;" --undo --redo --no-dry-run --store-session session-set-random-number-engine.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-set-random-number-engine.py >session-set-random-number-engine_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-set-random-number-engine_new.py], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -v 3 --set-random-number-engine "lagged_fibonacci607" --random-number-engine-parameters "seed=2;" --undo --redo --no-dry-run --store-session session-set-random-number-engine.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-set-random-number-engine.py >session-set-random-number-engine_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-set-random-number-engine_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
Index: tests/GuiChecks/RandomNumbers/testsuite-randomnumbers.at
===================================================================
--- tests/GuiChecks/RandomNumbers/testsuite-randomnumbers.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/RandomNumbers/testsuite-randomnumbers.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,24 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+AT_BANNER([MoleCuilder - Random numbers])
+
+# 1. set the engine
+m4_include(RandomNumbers/Engine/testsuite-set-random-number-engine.at)
+
+# 2. set the distribution
+m4_include(RandomNumbers/Distribution/testsuite-set-random-number-distribution.at)
